<template>
    <div>
        <div class="white-block">
            <div class="padding">
                <h1>Прощаем долги в честь Международного Женского Дня!*</h1>

                <p>Поздравляем с праздником и спешим вас обрадовать!</p>

                <p class="bold">
                    С 7 по 10 марта 2019 года WEBBANKIR прощает {{$pdl.isAmnesty.action_percent}}% от суммы вашей задолженности!
                    Для участия в Акции необходимо:
                </p>



                <ul class="number">
                    <li>Нажать на кнопку «Оплатить долг с выгодой»;</li>
                    <li>Ознакомиться с текстом дополнительного соглашения и подписать его с помощью кода из СМС;</li>
                    <li>Оплатить указанную в дополнительном соглашении сумму с учетом скидки любым удобным для вас
                        способом.
                    </li>
                </ul>


                <div class=" block-credit-rating">
                    <div class="tachometer white-block">
                        <div class="row padding">
                            <div class="columns twelve">
                                <div>
                                    <div class="amnesty-text">
                                        <div style="width: 50%; float: left;text-align: center">Оплатите: <br v-if="$interface.viewport === 'mobile'"> {{$pdl.isAmnesty.amnesty_deposit_amount|currency}} ₽</div>

                                        <div style="width: 50%; float: right;text-align: center">Простим: <br v-if="$interface.viewport === 'mobile'">{{$pdl.isAmnesty.amnesty_new_principal_debt|currency}} ₽</div>
                                    </div>
                                    <div class="slider" style="transform: rotate(-180deg);">
                                        <div class="color" :style="{
                                                            width: 0 + '%',
                                                        }"></div>
                                        <div class="color2" :style="{
                                                            width: $pdl.isAmnesty.action_percent + '%',
                                                        }"></div>
                                    </div>

                                    <div class="range">
                                        <span v-for="sum in range">{{sum}}₽</span>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="strong">Ваша задолженность: {{$pdl.sumTotal|currency}} ₽</div>
                    <div class="strong">Оплатить, чтобы погасить долг полностью: {{$pdl.isAmnesty.amnesty_deposit_amount|currency}} ₽</div>
                </div>

                <div class="center padding">
                    <button @click="createDop"
                            :disabled="$interface.buttonLoading"
                            :class="{button_loading: $interface.buttonLoading}">
                       Оплатить <template v-if="$interface.viewport !== 'mobile'">долг</template> с выгодой
                    </button>
                </div>

                <h3>
                    Не копите долги – избавляйтесь от них!
                </h3>

                <p class="italic">
                    *Не является публичной офертой. Подробные условия Акции см. в Дополнительном Соглашении.
                </p>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'AmnestyAction',
        computed: {
            amnesty () {
                return this.$pdl.supplementary.amnesty || {};
            },
            range () {
                const amount = this.$pdl.isAmnesty.amnesty_principal_debt;
                const range = [];
                for(let i =0; i <= 100; i += 20) {
                    range.push(Math.round(amount / 100 * i));
                }

                return range;
            },

        },

        methods: {
            createDop () {
                this.BUTTON_LOADING(true);
                this.$backend.api.supplementary.amnesty.create().then(async () => {
                    await this.$store.dispatch('GET_LOAN_PDL');
                    this.$toastr.success('Доп.соглашение об амнистии создано. Прочитайте и подпишите его.', 'Успешно');
                    this.$parent.signAmnesty();
                }).catch((e) => {
                    this.$error(e, {
                        notAllowed: 'Создание амнистии недоступно',
                        exceedTheNumberAttempt: 'Превышено количество попыток. Повторите через час.'
                    });
                }).finally(() => {
                    this.BUTTON_LOADING(false);
                });
            }
        }
    };
</script>

<style scoped lang="scss">
    p.bold, div.strong {
        font-weight: bold;
    }

    p.italic {
        font-style: italic;
    }

    ul.number {
        margin-left: 30px;
        & li {
            list-style-type: decimal;
        }
    }
    div.amnesty-text {
        font-weight: bold;
        padding-bottom: 20px;
        height: 60px;
    }
    .color2 {
        left: 0 !important;
        border-top-right-radius: 0 !important;
        border-bottom-right-radius: 0 !important;
    }
    .color {

    }
</style>
